// The sole owner of this code is Dundas Data Visualization Inc.
// Copyright (c) 2014 Dundas Data Visualization Inc.
// All rights reserved.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyCompany.Sample.TwitterDataProvider
{
    /// <summary>
    /// This class represents Twitter connection information.
    /// </summary>
	public class TwitterConnectionInfo
	{
		#region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="TwitterConnectionInfo"/> class.
        /// </summary>
        /// <param name="consumerKey">The consumer key.</param>
        /// <param name="consumerSecret">The consumer secret.</param>
		public TwitterConnectionInfo(string consumerKey, string consumerSecret)
		{
			this.ConsumerKey = consumerKey;
			this.ConsumerSecret = consumerSecret;
		}

		#endregion Constructors

		#region Public Properties

        /// <summary>
        /// Gets the consumer key.
        /// </summary>
        /// <value>
        /// The consumer key.
        /// </value>
		public string ConsumerKey
		{
			get; private set;
		}

        /// <summary>
        /// Gets the consumer secret.
        /// </summary>
        /// <value>
        /// The consumer secret.
        /// </value>
		public string ConsumerSecret
		{
			get; private set;
		}

		#endregion Public Properties
	}
}